Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163276 - baudboy.h should include fcntl.h
Summary: baudboy.h should include fcntl.h
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: lockdev
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-14 18:34 UTC by Chris Adams
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-01 14:48:13 UTC


Attachments (Terms of Use)

Description Chris Adams 2005-07-14 18:34:31 UTC
/usr/include/baudboy.h should include fcntl.h because it uses open().  If you
don't first include fcntl.h, open() will get an implicit definition (which is
usually bad and won't compile).

I think this hasn't been noticed because current baudboy.h users include fcntl.h
themselves first.  I'm building ckermit with baudboy.h and it doesn't include
fcntl.h, so it won't compile.


Note You need to log in before you can comment on or make changes to this bug.